///QUESTION 2
clear
import excel US_rgdp_change.xls, first
*log using ms_log

*Markov
tsset quarters, quarterly

// tsline RGDP_CH, xtitle("") title("% Change in Real GDP")
// graph export Figure1.png

//DR REFERS TO DYNAMIC REGRESSION.  Markov-switching dynamic regression models that
//allow a quick adjustment after the process changes state and Markov-switching 
//autoregression models that allow a more gradual adjustment.


*mswitch dr RGDP_CH, switch(L.RGDP_CH)varswitch
// mswitch dr RGDP_CH, switch(L.RGDP_CH) varswitch
// estat ic

///MORE STATES - STRUGGLING TO ESTIMATE THIS
*mswitch dr RGDP_CH, switch(L.RGDP_CH) states(3)
// estat ic

///MORE LAGS
mswitch dr RGDP_CH, switch(L.RGDP_CH L2.RGDP_CH L3.RGDP_CH L4.RGDP_CH) varswitch
estat ic

///REGIME SWITCHING ONLY IN ERROR VARIANCE
// mswitch dr RGDP_CH L.RGDP_CH, varswitch
// estat ic

///pab GIVES PROBABILITY OF SWITCHING FROM REGIME A TO REGIME B
estat transition

///ESTIMATED DURATION OF REGIME
estat duration

///FILTERED PROBABILITIES, TYPICALLY USED TO PREDICT STATE PROBABILITIES
// predict fprob, pr smethod(filter)
// tsline fprob
// graph save fprob

predict pr_state1 pr_state2, pr smethod(filter)
tsline RGDP_CH pr_state1 pr_state2
graph export Figure2.png
