clear

//QUESTION 1

import excel Excess_Returns.xlsx, first

// mvreg fits a multivariate regression model for several dependent variables 
// with the same independent variables.


*here is doing them all at a time using multivariate regression

//REPLICATE RESULTS ON SLIDE 16

mvreg AA AGE CAT F FDX GM HPQ KMB MEL NYT PG TRB TXN = SP5

*doing them individually using regression (example here for AA)
reg AA SP5

//QUESTION 2

//'Run principal component analysis If you want to simply reduce your correlated 
// observed variables to a smaller set of important independent composite variables'.

clear
import excel Excess_Returns.xlsx, first

//EIGENVALUE = VARIANCE OF THE COMPONENT. SUM = TOTAL NO. VARIABLES.
//DIFFERENCE = DIFFERENCES BETWEEN THE CURRENT AND FOLLOWING EIGENVALUE
//PROPORTION = PROPORTION OF TOTAL VARIABILITY EXPLAINED BY COMPONENT
//CUMULATIVE = CUMALATIVE PROPORTION OF TOTAL VARIABILITY EXPLAINED BY THIS COMPONENT PLUS ALL OF THE PREVIOUS ONES
//EIGENVECTORS = SHOWS HOW RETURNS FROM DIFFERENT COMPANIES ARE WEIGHTED IN CONSTRUCTING
//EACH COMPONENT


pca AA AGE CAT F FDX GM HPQ KMB MEL NYT PG TRB TXN

//SCREEPLOT OF EIGENVALUES
//LOOK FOR ELBOW
//ELBOW OCCURS AT 3? 
//GO WITH 2.

screeplot
*graph save scree1

//QUESTION 3

//'Run factor analysis if you assume or wish to test a theoretical model of latent 
//factors causing observed variables'.

clear
import excel Excess_Returns.xlsx, first

//EIGENVALUE = VARIANCE OF THE FACTOR
//DIFFERENCE = DIFFERENCES BETWEEN THE CURRENT AND FOLLOWING EIGENVALUE
//PROPORTION = PROPORTION OF TOTAL VARIABILITY EXPLAINED BY FACTOR
//CUMULATIVE = CUMALATIVE PROPORTION OF TOTAL VARIABILITY EXPLAINED BY THIS FACTOR PLUS ALL OF THE PREVIOUS ONES
//FACTOR LOADINGS = SHOWS HOW RETURNS FROM DIFFERENT COMPANIES ARE WEIGHTED IN CONSTRUCTING
//EACH COMPONENT
//UNIQUENESS = VARIANCE 'UNIQUE' TO THE VARIABLE AND NOT SHARED WITH OTHER VARIABLES

factor (AA AGE CAT F FDX GM HPQ KMB MEL NYT PG TRB TXN)
estat factors
screeplot
*graph save scree2

factor (AA AGE CAT F FDX GM HPQ KMB MEL NYT PG TRB TXN), ml
estat factors
screeplot
*graph save scree3
predict factor1
mvreg AA AGE CAT F FDX GM HPQ KMB MEL NYT PG TRB TXN = factor1
correlate SP5 factor1
